package com.bonus.canteen.core.supply.purchase.domain.vo;

import com.bonus.canteen.core.supply.purchase.domain.bo.DrpSupplierModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel
public class DrpPurchasePlanImportPageVO implements Serializable {
   @ApiModelProperty("采购单号")
   private String planId;
   @ApiModelProperty("采购计划时间")
   private LocalDateTime purDate;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("仓库名称")
   private String warehouseName;
   @ApiModelProperty("采购计划详情列表")
   private List<DrpPurPlanDetailImportPageVO> detailList;
   @ApiModelProperty("明细包含供应商集合")
   private List<DrpSupplierModel> supplierList;

   public String getPlanId() {
      return this.planId;
   }

   public LocalDateTime getPurDate() {
      return this.purDate;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public List<DrpPurPlanDetailImportPageVO> getDetailList() {
      return this.detailList;
   }

   public List<DrpSupplierModel> getSupplierList() {
      return this.supplierList;
   }

   public void setPlanId(final String planId) {
      this.planId = planId;
   }

   public void setPurDate(final LocalDateTime purDate) {
      this.purDate = purDate;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setDetailList(final List<DrpPurPlanDetailImportPageVO> detailList) {
      this.detailList = detailList;
   }

   public void setSupplierList(final List<DrpSupplierModel> supplierList) {
      this.supplierList = supplierList;
   }

}
